Bug 71542 - up2date downgrades system without warning
up2date downgrades system without warning
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-14 18:33 EDT by Kjetil T. Homme
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 18:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2002-08-14 18:33:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
up2date blindly installs packages without checking dependencies which are newer
than its package list.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. upgrade from 7.3 to Raw Hide.  this includes the transition console-tools -> kbd
2. run up2date -u


Actual Results:  up2date removed kbd and installed console-tools without asking.
 it also downgraded gnome-user-docs for some reason.


Expected Results:  up2date should have noted that this would break the system
horribly, and asked the user if he really wanted to do this.  (even
"initscripts" had unmet dependencies after up2date had done its job.)


Additional info:

I use apt-rpm to keep my system up-to-date on Raw Hide.
Comment 1 Adrian Likins 2002-08-15 14:33:16 EDT
the packages are "odd' (console-tools, and "kbd")

They obsolete each other at various points in time.
up2date tracks down obsoletes, so in this case, it
can cause probablems. 

Note You need to log in before you can comment on or make changes to this bug.